curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"generate_insights": true,
"sample_rate": 123,
"description": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all code evaluation criteria in a project. Optionally filter by target type and ID.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"generate_insights": true,
"sample_rate": 123,
"description": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
prompt, agent CodeEvalListResponse(data: list[server.api_routes.code_eval_criteria_api_v2.CodeEvalCriteriaInfo], pagination: server.api_routes.api_v2_common.PaginationInfo)